$(document).ready(function() {
    $('.boton').mouseenter(function() {
        $(this).fadeTo('fast',1);
    });
    $('.boton').mouseleave(function(){
        $(this).fadeTo('fast',0.5);
    });
});
$(document).ready(function() {
    $('.boton').mouseenter(function() {
        $(this).css('color','#DE2628');
    });
    $('.boton').mouseleave(function(){
        $(this).css('color','#3B7C4E');
    });
});
$(document).ready(function() {
    $('.botona').mouseenter(function() {
        $(this).fadeTo('fast',1);
    });
    $('.botona').mouseleave(function(){
        $(this).fadeTo('fast',0.5);
    });
});
$(document).ready(function() {
    $('.botona').mouseenter(function() {
        $(this).css('color','#DE2628');
    });
    $('.botona').mouseleave(function(){
        $(this).css('color','#3B7C4E');
    });
});

$(document).ready(function() {
    $('.registros').mouseenter(function() {
        $(this).fadeTo('fast',1);
    });
    $('.registros').mouseleave(function(){
        $(this).fadeTo('fast',0.5);
    });
});


$(document).ready(function() {
    $('.registros').mouseenter(function() {
        $(this).css('border-color','#DE2628');
    });
    $('.registros').mouseleave(function(){
        $(this).css('border-color','#3B7C4E');
    });

    $('#ingresar').on('click',function(){
        var usu = $('#usuario').val();
        var pass = $('#pass').val();
        var url = './procesar_login.php';
        var total = usu.length * pass.length;
        //if (total>0){
            $.ajax({
                type: 'POST',
                url: url,
                data: 'usu='+usu+'&pass='+pass,
                success: function(valor){
                    if(valor == 'usuario'){
                        $('#mensaje').addClass('error').html('El usuario ingresado no existe').show(300).delay(3000).hide(300);
                        $('#usu').focus();
                        return false;
                    }else if(valor == 'password'){
                        $('#mensaje').addClass('error').html('Su password es incorrecto').show(300).delay(3000).hide(300);
                        $('#pass').focus();
                        return false;
                    }else if(valor == '1'){
                        document.location.href = 'inicio.php';
                    }
                }
            });
            return false;
        /*}else{
            $('#mensaje').addClass('error').html('Complete todos los campos').show(300).delay(3000).hide(300);
        }*/
    });
    
    $('#bs-prod').on('keyup', function(){
        var oe = $('#bs-prod').val();
        
        var url = './busca_prod_nombre.php';

        
        $.ajax({
        type:'POST',
        url:url,
        data:'dato='+oe,
        success: function(datos){
            $('#agrega-registros').html(datos);
        }
        });
        
        return false;
    });

    $('#bs-ins').on('keyup', function(){
        var oe = $('#bs-ins').val();
        
        var url = './busca_ins_nombre.php';

        
        $.ajax({
        type:'POST',
        url:url,
        data:'dato='+oe,
        success: function(datos){
            $('#agrega-registros').html(datos);
        }
        });
        
        return false;
    });

    $('#bs-prov').on('keyup', function(){
        var oe = $('#bs-prov').val();
        
        var url = './busca_prov_nombre.php';

        
        $.ajax({
        type:'POST',
        url:url,
        data:'dato='+oe,
        success: function(datos){
            $('#agrega-registros').html(datos);
        }
        });
        
        return false;
    });

    $('#codInsumo').on('keyup',function(){
        var dato = $('#codInsumo').val();
        var url = './buscar_insumo.php';
        $.ajax({
        type:'POST',
        url:url,
        data:'dato='+dato,
        success: function(datos){

            $('#clientes').html(datos);
        }
    });
    return false;
    });

    $('#porc').on('keyup', function(){
        var costo = $('#costo').val();
        var monedac = $('#monedac').val();
        var varios = $('#varios').val();
        var preciov = $('#preciov').val();
        var monedav = $('#monedav').val();
        var porc = $('#porc').val();
        var flag = 1;
            
        var url = './calculosporc.php';
        $.ajax({
        type:'POST',
        url:url,
        data:'costo='+costo+'&monedac='+monedac+'&varios='+varios+'&preciov='+preciov+'&monedav='+monedav+'&porc='+porc+'&flag='+flag,
        success: function(datos){
            var separar = datos.split("|");
            var sub = separar[0];
            var total = separar[1];
            
            $('#costtot').val(total);
            
            $('#preciov').val(sub);
        }
    });
    return false;
    });
    $('#preciov').on('keyup', function(){
        var costo = $('#costo').val();
        var monedac = $('#monedac').val();
        var varios = $('#varios').val();
        var preciov = $('#preciov').val();
        var monedav = $('#monedav').val();
        var porc = $('#porc').val();
        var flag = 2;
            
        var url = './calculosporc.php';
        $.ajax({
        type:'POST',
        url:url,
        data:'costo='+costo+'&monedac='+monedac+'&varios='+varios+'&preciov='+preciov+'&monedav='+monedav+'&porc='+porc+'&flag='+flag,
        success: function(datos){
            var separar = datos.split("|");
            var sub = separar[0];
            var total = separar[1];
            $('#porc').val(sub);
            $('#costtot').val(total);
        }
    });
    return false;
    });

    $('#porcm').on('keyup', function(){
        var costo = $('#costo').val();
        var monedac = $('#monedac').val();
        var varios = $('#varios').val();
        var preciov = $('#preciovm').val();
        var monedav = $('#monedavm').val();
        var porc = $('#porcm').val();
        var flag = 1;
            
        var url = './calculosporcm.php';
        $.ajax({
        type:'POST',
        url:url,
        data:'costo='+costo+'&monedac='+monedac+'&varios='+varios+'&preciov='+preciov+'&monedav='+monedav+'&porc='+porc+'&flag='+flag,
        success: function(datos){
            var separar = datos.split("|");
            var sub = separar[0];
            var total = separar[1];
            
            $('#costtot').val(total);
            
            $('#preciovm').val(sub);
        }
    });
    return false;
    });
    $('#preciovm').on('keyup', function(){
        var costo = $('#costo').val();
        var monedac = $('#monedac').val();
        var varios = $('#varios').val();
        var preciov = $('#preciovm').val();
        var monedav = $('#monedavm').val();
        var porc = $('#porcm').val();
        var flag = 2;
            
        var url = './calculosporcm.php';
        $.ajax({
        type:'POST',
        url:url,
        data:'costo='+costo+'&monedac='+monedac+'&varios='+varios+'&preciov='+preciov+'&monedav='+monedav+'&porc='+porc+'&flag='+flag,
        success: function(datos){
            var separar = datos.split("|");
            var sub = separar[0];
            var total = separar[1];
            $('#porcm').val(sub);
            $('#costtot').val(total);
        }
    });
    return false;
    });

    $('#Guard').on('click', function(){

        var id = $('#idinsumo').val();
        var nombre = $('#nombre').val();
        var cod = $('#codigo').val();
        var cat = $('#cats').val();
        var precio   = $('#preciov').val();
        var unidpaq = $('#unidpaq').val();
        var moneda = $('#moneda').val();
        var unidm = $('#unimed').val();
        var varios = $('#varios').val();
        
        var url = './insumos_salvar.php';

        if(nombre.length>0 && cod.length>0 && cat.length >0 && precio.length >0 && unidpaq.length>0  && moneda.length>0&& unidm>0){
        $.ajax({
            type: 'POST',
            data: 'id='+id+'&nombre='+nombre+'&cod='+cod+'&cat='+cat+'&precio='+precio+'&unid='+unidpaq+'&moneda='+moneda+'&unidm='+unidm+'&varios='+varios,
            url: url,
            success: function(data){
                if(data>0){
                alert('Capturado correctamente');
                window.location.replace("./insumos_lista.php");

                }else{
                    alert('Fallo en el registro');
                }
            }
        });
        }else{
            $('#mensaje').html('<p class="alert alert-warning">Alerta!!, tienes que llenar todos los campos necesarios.</p>').show(300).delay(3000).hide(300);
        }
    });

$('#Guardp').on('click', function(){

        var nombre = $('#nombre').val();
        var rs = $('#rs').val();
        var rfc = $('#rfc').val();
        var dir   = $('#dir').val();
        var com = $('#com').val();
        var tel = $('#tel').val();
        var cel = $('#cel').val();
        
        var url = './proveedor_salvar.php';

        if(nombre.length>0){
        $.ajax({
            type: 'POST',
            data: 'nombre='+nombre+'&rs='+rs+'&rfc='+rfc+'&dir='+dir+'&com='+com+'&tel='+tel+'&cel='+cel,
            url: url,
            success: function(data){
                if(data>0){
                alert('Capturado correctamente');
                window.location.replace("./inicio.php");

                }else{
                    alert('Fallo en el registro');
                }
            }
        });
        }else{
            $('#mensaje').html('<p class="alert alert-warning">Alerta!!, tienes que llenar todos los campos necesarios.</p>').show(300).delay(3000).hide(300);
        }
    });

$('#Guardm').on('click', function(){
        var cod = $('#codigo').val();
        var cat = $('#cats').val();

        var costo = $('#costo').val();
        var monedac = $('#monedac').val();
        var costtot = $('#costtot').val();

        var porc = $('#porc').val();
        var preciov = $('#preciov').val();
        var monedav = $('#monedav').val();

        var porcm = $('#porcm').val();
        var preciovm = $('#preciovm').val();
        var monedavm = $('#monedavm').val();

        var desperdicio = $('#desperdicio').val();
        var unidm = $('#unimed').val();
        var tira = $('#tira').val();

        
        var url = './insumosm_salvar.php';

        if(cod.length>0 && costo>0 && preciovm >0 && preciov >0 && desperdicio >0&& unidm>0){
        $.ajax({
            type: 'POST',
            data: 'cod='+cod+'&cat='+cat+'&costo='+costo+'&monedac='+monedac+'&costtot='+costtot+'&porc='+porc+'&preciov='+preciov+'&monedav='+monedav+'&porcm='+porcm+'&preciovm='+preciovm+'&monedavm='+monedavm+'&desperdicio='+desperdicio+'&unidm='+unidm+'&tira='+tira,
            url: url,
            success: function(data){
                if(data>0){
                alert('Moldura capturada');
                
                window.location.replace("./insumos_lista.php");

                }else{
                    alert('Fallo en el registro');
                }
            }
        });
        }else{
            $('#mensaje').html('<p class="alert alert-warning">Alerta!!, tienes que llenar todos los campos necesarios.</p>').show(300).delay(3000).hide(300);
        }
    });

    $('#GuardProd').on('click', function(){

        var nombre = $('#nombre').val();
        var cod = $('#codigo').val();
        var cat = $('#cats').val();
        var precio   = $('#preciov').val();
        
        var url = './productos_salvar.php';

        
        $.ajax({
            type: 'POST',
            data: 'nombre='+nombre+'&cod='+cod+'&cat='+cat+'&precio='+precio,
            url: url,
            success: function(data){
                if(data>0){
                alert('Completado');
                $('.paso1').hide();
                $('.paso2').show(300);
                $('.paso3').hide();
                }else{
                    alert('Fallo de registro');
                }
            }
        });
        
    });
    $('#Guardf').on('click', function(){

        var precio = $('#precioreal').val();
        var preciov = $('#precioventa').val();
        
        
        var url = './productos_salvarb.php';

        
        $.ajax({
            type: 'POST',
            data: 'precio='+preciov+'&costo='+precio,
            url: url,
            success: function(data){
                if(data>0){
                alert('Producto capturado');
                window.location.replace("./productos_lista.php");
                }else{
                    alert('Fallo de registro');
                }
            }
        });
        
    });
    $('#agrinsumo').on('click', function(){

        var insumo = $('#clientesa').val();
        var cantidad = $('#cantidadi').val();
        
        
        var url = './insumosd_salvar.php';

        
        $.ajax({
            type: 'POST',
            data: 'insumo='+insumo+'&cantidad='+cantidad,
            url: url,
            success: function(data){
                
                alert('Insumo agregado');
                $('#agregados').append(data);
                
            }
        });
        
    });

$('#calcular').on('click', function(){

        var codigo = $('#codigo').val();
        
        
        var url = './productos_calcular.php';

        
        $.ajax({
            type: 'POST',
            data: 'codigo='+codigo,
            url: url,
            success: function(data){
                alert(data);
                $('#precioreal').val(data);
                
            }
        });
        
    });

    $('#ActualizarIns').on('click', function(){

        var id = $('#idinsumo').val();
        var nombre = $('#nombre').val();
        var cod = $('#codigo').val();
        var cat = $('#cats').val();
        var precio   = $('#preciov').val();
        var unidpaq = $('#unidpaq').val();
        var moneda = $('#moneda').val();
        var unidm = $('#unimed').val();
        var varios = $('#varios').val();
        
        var url = './insumos_act.php';

        if(nombre.length>0 && cod.length>0 && cat.length >0 && precio.length >0 && unidpaq.length>0  && moneda.length>0&& unidm>0){
        $.ajax({
            type: 'POST',
            data: 'id='+id+'&nombre='+nombre+'&cod='+cod+'&cat='+cat+'&precio='+precio+'&unid='+unidpaq+'&moneda='+moneda+'&unidm='+unidm+'&varios='+varios,
            url: url,
            success: function(data){
                if(data>0){
                alert('Capturado correctamente');
                window.location.replace("./insumos_lista.php");

                }else{
                    alert('Fallo en el registro');
                }
            }
        });
        }else{
            $('#mensaje').html('<p class="alert alert-warning">Alerta!!, tienes que llenar todos los campos necesarios.</p>').show(300).delay(3000).hide(300);
        }
        
    });



    $('#Eliminarinsumo').on('click', function(){

        var nombre = $('#nombre').val();
        var cod = $('#codigo').val();
        var cat = $('#cats').val();
        var precio   = $('#preciov').val();
        var unidpaq = $('#unidpaq').val();
        var moneda = $('#moneda').val();
        
        var url = './insumos_salvar.php';

        
        $.ajax({
            type: 'POST',
            data: 'nombre='+nombre+'&cod='+cod+'&cat='+cat+'&precio='+precio+'&unid='+unidpaq+'&moneda='+moneda,
            url: url,
            success: function(data){
                if(data>0){
                alert('Insumo capturado con exito');
                $('#nombre').val('');
                $('#codigo').val('');
                $('#cats').val('');
                $('#preciov').val('');
                $('#unidpaq').val('');
                $('#moneda').val('Selecciona una opcion');
                $('#idinsumo').val('');
                }else{
                    alert('Fallo de registro');
                }
            }
        });
        
    });
});



function elimina(id){
    $.ajax({
        url     : 'administradores_borrar.php',
        type    : 'post',
        dataType: 'text',
        data    : 'id='+id,
        success : function(res){
            $('#filasid'+id).hide();
        },error: function(){
            //alert('No se encontro el archivo ...');
        }
    });
}

function Iniciar(f) { 
                var usuario = $('#usuario').val();
                var pass = $('#pass').val();

                if (f.usuario.value == '') 
                { 
                    alert ('El nombre de usuario esta vacio');  
                    f.usuario.focus(); return false; 
                }else{
                    if (f.pass.value   == '') 
                    {
                        alert ('La contrase\u00f1a esta vacia');  
                        f.pass.focus(); return false; 
                    }
                    else{
                            $.ajax({
                                url     : 'validar.php',
                                type    : 'post',
                                dataType: 'text',
                                data    : 'usuario='+usuario+'&pass='+pass,
                                success : function(res){
                                    if(res == 1 ){
                                        //alert (res);
                                        window.location.href = 'inicio.php';
                                    }else{
                                        alert ("Error de inicio de sesion");
                                    }
                                },error: function(){
                                    //alert ('Error');
                                }
                            });
                    }
                }


            }
function eliminauser(id){
    $.ajax({
        url     : 'usuario_borrar.php',
        type    : 'post',
        dataType: 'text',
        data    : 'id='+id,
        success : function(res){
            $('#filasid'+id).hide();
        },error: function(){
            //alert('No se encontro el archivo ...');
        }
    });
}

function eliminabanner(id){
    $.ajax({
        url     : 'banner_borrar.php',
        type    : 'post',
        dataType: 'text',
        data    : 'id='+id,
        success : function(res){
            $('#filasid'+id).hide();
        },error: function(){
            //alert('No se encontro el archivo ...');
        }
    });
}

function eliminapedido(id){
    $.ajax({
        url     : 'pedido_borrar.php',
        type    : 'post',
        dataType: 'text',
        data    : 'id='+id,
        success : function(res){
            $('#filasid'+id).hide();
        },error: function(){
            //alert('No se encontro el archivo ...');
        }
    });
}

function eliminaprod(id){
    var result = confirm("Quieres borrar este producto?");
if (result) {
    $.ajax({
        url     : 'productos_borrar.php',
        type    : 'post',
        dataType: 'text',
        data    : 'id='+id,
        success : function(res){
            $('#filasid'+id).hide();
        },error: function(){
            //alert('No se encontro el archivo ...');
        }
    });
}
}

function eliminaprov(id){
    var result = confirm("Quieres borrar este proveedor?");
if (result) {
    $.ajax({
        url     : 'proveedor_borrar.php',
        type    : 'post',
        dataType: 'text',
        data    : 'id='+id,
        success : function(res){
            location.reload();
            alert(res);
        },error: function(){
            alert('Error');
        }
    });
}
    
}

function eliminainsumo(id){
    var result = confirm("Quieres borrar este insumo?");
if (result) {
    $.ajax({
        url     : 'insumos_borrar.php',
        type    : 'post',
        dataType: 'text',
        data    : 'id='+id,
        success : function(res){
            location.reload();
        },error: function(){
            alert('Error');
        }
    });
}
    
}

function eliminacategoria(id){
    $.ajax({
        url     : 'catprod_borrar.php',
        type    : 'post',
        dataType: 'text',
        data    : 'id='+id,
        success : function(res){
            location.reload();
        },error: function(){
            //alert('No se encontro el archivo ...');
        }
    });
}

function correochecadmin(h){
    var correocheck;
    correocheck = $('#correoform').val();
    

    $.ajax({
        url     : 'checar_correo.php',
        type    : 'post',
        dataType: 'text',
        data    : 'correo='+correocheck,
        success : function(res){
            if(res == 0 ){
                alert ("El correo ya existe,intenta con otro");
                $('#correoform').focus();
                $('#correoform').val("");
            }else{

            }
        },error: function(){
            alert ("adios");
        }
    });
}
function correochecuser(h){
    var correocheck;
    correocheck = $('#correoform').val();
    

    $.ajax({
        url     : 'usuario_checar_correo.php',
        type    : 'post',
        dataType: 'text',
        data    : 'correo='+correocheck,
        success : function(res){
            if(res == 0 ){
                alert ("El correo ya existe,intenta con otro");
                $('#correoform').focus();
                $('#correoform').val("");
            }else{

            }
        },error: function(){
            alert ("adios");
        }
    });
}

/*function codigocheckprod(h){
    var correocheck;
    correocheck = $('#codigo').val();
    

    $.ajax({
        url     : 'productos_checar.php',
        type    : 'post',
        dataType: 'text',
        data    : 'codigo='+correocheck,
        success : function(res){
            if(res == 0 ){
                alert ("El codigo ya existe,intenta con otro");
                $('#codigo').focus();
                $('#codigo').val("");
            }else{

            }
        },error: function(){
            alert ("adios");
        }
    });
}*/

function codigocheck(h){
    var correocheck;
    correocheck = $('#codigo').val();
    

    $.ajax({
        url     : 'insumos_checar.php',
        type    : 'post',
        dataType: 'text',
        data    : 'codigo='+correocheck,
        success : function(res){
            if(res == 0 ){
                alert ("El codigo ya existe,intenta con otro");
                $('#codigo').focus();
                $('#codigo').val("");
            }else{

            }
        },error: function(){
            alert ("adios");
        }
    });
}

function iniciarsesion(k){
    $.ajax({
        url     : 'validar.php',
        type    : 'post',
        dataType: 'text',
        data    : 'correo='+correocheck,
        success : function(res){
            if(res == 0 ){
                alert ("El correo ya existe,intenta con otro");
                $('#correoform').focus();
                $('#correoform').val("");
            }else{

            }
        },error: function(){
            alert ("adios");
        }
    });
}
